跳转到主要内容
GET
https://api.aisa.one/apis/v1
/
coingecko
/
news
加密货币新闻
curl --request GET \
  --url https://api.aisa.one/apis/v1/coingecko/news \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/coingecko/news"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/coingecko/news', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "title": "Bitcoin hits new high",
      "url": "https://example.com/article",
      "published_at": 1713398400
    }
  ]
}
{
  "status": {},
  "error": {}
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

coin_id
string

按 CoinGecko 币种 ID 筛选新闻。

language
string

按语言筛选新闻。

type
enum<string>

按文章类型筛选。

可用选项:
news,
guides
page
integer
默认值:1

对结果进行分页。

per_page
integer
默认值:100

每页结果总数。

响应

新闻文章数组。

title
string
url
string
image
string
author
string
posted_at
string
type
string
source_name
string